package com.tofly.watermeter.custom.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.CustomGzSb;
import com.tofly.watermeter.custom.entity.CustomSearch;
import com.tofly.watermeter.custom.entity.ZySbInfo;
import com.tofly.watermeter.entity.Bwgzbcjdatail;
import com.tofly.watermeter.entity.Bwzysbjddatail;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author by Wangjieliu
 * @date 2021/3/17.
 */
public interface ZySbInfoMapper extends BaseMapper<ZySbInfo> {
    IPage getZy(Page page, Bwzysbjddatail bwzysbjddatail);
    String getJyhg(@Param("jyhg") String jyhg);
    List<String> getFileByIds(@Param("fileIds") String fileIds);
    IPage getSpot(Page page,@Param("search") CustomSearch search);

    void updateFile(@Param("id") Long id, @Param("list") List<String> fileIdList);

    IPage<CustomGzSb> getExcrete(Page page , @Param("search") CustomSearch search);

}
